CREATE OR REPLACE VIEW public.timesheet
 AS
 SELECT (COALESCE("end", start + duration) AT TIME ZONE 'UTC'::text)::date AS date,
    project_id,
    sum(COALESCE(duration, "end" - start)) AS total,
    round(EXTRACT(epoch FROM sum(COALESCE(duration, "end" - start))) / 3600::numeric, 2) AS total_hours
   FROM items
  GROUP BY ROLLUP((COALESCE("end", start + duration) AT TIME ZONE 'UTC'::text)::date, project_id)
  ORDER BY (COALESCE("end", start + duration) AT TIME ZONE 'UTC'::text)::date DESC NULLS LAST, project_id;

GRANT ALL ON SCHEMA public TO das;
