SET TIME ZONE 'Pacific/Auckland';
SET ":ago_msg" = CASE COALESCE($ago, '') WHEN '' THEN '' ELSE ' (' || $ago || ' ago)' END;
SET ":ago" = CASE $ago WHEN '' THEN NULL ELSE $ago END;
SET ":title" = 'Timesheet' || :ago_msg;
SELECT 'shell' AS component
  , 'dark' AS theme
  , '/clock-2.svg' AS favicon
  , 'clock-2' AS icon
  , :title AS title
;

SET ":level" = CASE $level WHEN '' THEN 1 ELSE CAST($level AS INT) END;
SELECT 'title' AS component
  , :title AS contents
  , COALESCE(CAST(:level AS INT), 1) AS level
;
SELECT 'table' AS component
  , TRUE AS striped_rows
;
SELECT date
, project_id
, CAST(total AS TEXT) AS total
, total_hours
FROM timesheet_day(CAST(COALESCE(:ago, '0 days') AS INTERVAL));

SELECT 'table' AS component;
SELECT id
,   project_id
,   description
,   COALESCE(duration, "end" - start)::text AS duration
,   (COALESCE(start, "end" - duration) AT TIME ZONE 'UTC'::text) AS start
,   (COALESCE("end", start + duration) AT TIME ZONE 'UTC'::text) AS "end"
FROM items
WHERE (COALESCE("end", start + duration) AT TIME ZONE 'UTC'::text)::date = (CURRENT_DATE - CAST(:ago AS INTERVAL))::date
ORDER BY id DESC
;